unit admin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, DB, ADODB, jpeg;

type
  TfrmAdmin = class(TForm)
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label7: TLabel;
    ADOCon: TADOConnection;
    Image2: TImage;
    Label1: TLabel;
    Label8: TLabel;
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Label5Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Label7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAdmin: TfrmAdmin;
  strName:string='';      //定义变量strName，存放通过验证的用户名
  strPassword:string='';  //定义变量strPassword，存放通过验证的用户密码

implementation

uses login, bookinf, readerinf, bore,frmChPass,rebook;


{$R *.dfm}

procedure TfrmAdmin.Label2Click(Sender: TObject);
begin
  admin_bookinf.Visible:=true;   //打开图书目录维护
  self.Visible:=false;
end;

procedure TfrmAdmin.Label3Click(Sender: TObject);
begin
  admin_readerinf.Visible:=true; //打开办理借书还书
  self.Visible:=false;
end;

procedure TfrmAdmin.Label4Click(Sender: TObject);
begin
  frmPass.Visible:=true;    //打开修改管理密码
  self.Visible:=false;

end;

procedure TfrmAdmin.Label5Click(Sender: TObject);
begin
  frmbore.Visible:=true;    //打开办理借书还书
  self.Visible:=false;
end;

procedure TfrmAdmin.Label8Click(Sender: TObject);
begin
  Close;                   //退出程序
end;

procedure TfrmAdmin.Label7Click(Sender: TObject);
begin
  frm_rebook.Visible:=true;    //打开催还图书报表
  self.Visible:=false;
end;

end.
